## org.eclipse.jst.jsf.common.dom
Class ElementDOMAdapter

    java.lang.Object
      org.eclipse.jst.jsf.common.dom.DOMAdapter
          org.eclipse.jst.jsf.common.dom.ElementDOMAdapter

    public abstract class ElementDOMAdapter

extends DOMAdapter

T

Constructor Summary
`ElementDOMAdapter()`

Method Summary
`abstract java.util.Map<java.lang.String,? extends AttrDOMAdapter>` `getAttributes()` Map should be considered immutable and may throw exceptions if mutations are attempted.
`abstract java.lang.String` `getNamespace()`
`short` `getNodeType()`
`TagIdentifier` `getTagId()`

Methods inherited from class org.eclipse.jst.jsf.common.dom.DOMAdapter
`getLocalName, getNodeName, getPrefix`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ElementDOMAdapter

    public ElementDOMAdapter()

Method Detail

### getAttributes

    public abstract java.util.Map<java.lang.String,? extends AttrDOMAdapter> getAttributes()

  Map should be considered immutable and may throw exceptions if mutations are attempted.

  Returns:
    a nodeName keyed map of attributes belonging to this element

### getNodeType

    public final short getNodeType()

  Specified by:
    `getNodeType` in class `DOMAdapter`
  Returns:
    the node type. Conforms to Node.getNodeType.

### getNamespace

    public abstract java.lang.String getNamespace()

  Returns:
    the namespace uri for element or null if not applicable (i.e. HTML).

### getTagId

    public final TagIdentifier getTagId()

  Returns:
    the tag identifier for this attribute